#ifndef VORONOI_H
#define VORONOI_H

struct VoronoiCoordinates {
	V3d pos; // Cartesian
	double r, h, phi; // Cylindrical
	double ns; // normalized arc length

	void syncCylindrical (void) {
		h = pos.y;
		r = std::sqrt(pos.x*pos.x + pos.z*pos.z);
		phi = std::atan2(pos.z,pos.x);
		if (phi < 0.) phi += 2.*M_PI;
	}

	void syncCoordinates (void); // implemented in lsystem.l because it needs to call pure_profileXYZ
};

void CGAL_ComputeVoronoiCells (const std::vector<V3d> &inPts, const V3d &max_pt, 
		const V3d &min_pt, double apical_y);


#endif
